Transaction Result Notification (TRC20)
The system sends USDT-TRC20 transaction results to the callback URL provided by the merchant.
Request Information
- Request URL: The
notify_urladdress provided by the merchant when applying - Request Method:
POST - Content-Type:
application/json;charset=utf-8
Request Parameters (sent by the system to the merchant)
| Parameter | Required | Type | Description |
|---|---|---|---|
| txn_id | Yes | String(11) | System order number |
| txn_cl_id | Yes | String(32) | Merchant order number |
| amount | Yes | Integer(10) | Order amount (unit: 0.01 USDT) |
| fee | Yes | int | Merchant fee (unit: 0.01 USDT) |
| status | Yes | int | Order status (see table below) |
| from_address | Yes | string | Sending address |
| target_address | Yes | string | Receiving address |
| create_time | Yes | String(7) | Create time (unix timestamp, unit: seconds) |
| update_time | Yes | int | Update time (unix timestamp, unit: seconds) |
| sign_type | No | String | Signature type: HMAC-SHA256 or MD5 (only returned for HMAC-SHA256 orders) |
| real_amount | No | Integer | Actual received amount (unit: 0.01 USDT). Returned when manually matched, representing the actual on-chain amount. Not included when unset |
| sign | Yes | String(32) | Transaction signature |
Request Example
{
"txn_id": "CTX00000007",
"txn_cl_id": "test_payout_txn_1634396394",
"amount": 50000000,
"fee": 0,
"status": 3,
"from_address": "TR1KMKNJAJRsPWuMVYnEkj1H3GaUdUe4wG",
"target_address": "TAkr13ZMWyPSpo7jvQ4ajgmm8X9EG4dEZK",
"create_time": 1634396394,
"update_time": 0,
"sign": "d373360cd44e420863b1ced04bc9efe0"
}
Merchant Response Example
After receiving the notification, the merchant needs to return JSON format data to confirm receipt of the notification.
{
"error_code": "0000"
}
TRC-20 Order Transaction Status
| Status | Value |
|---|---|
| Success | 3 |
| Closed | 4 |
Notes
- This interface is implemented by the merchant, and this system will send notifications when the order is completed or closed
- It is recommended that merchants implement a signature verification process to ensure the content has not been tampered with
- More fields may be supported in the future. When integrating, please dynamically obtain fields with return values and generate signature verification. Do not hardcode the fields